package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.result.PrintPlanResult;
import com.qmth.distributed.print.business.entity.ExamPrintPlan;
import com.qmth.distributed.print.business.enums.PrintPlanStatusEnum;

/**
 * <p>
 * 印刷计划管理 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamPrintPlanService extends IService<ExamPrintPlan> {
    /**
     * 印刷计划分页查询
     * @param schoolId 学校id
     * @param name 印刷计划名称
     * @param status 印刷计划状态
     * @param startTime 印刷计划创建时间开始
     * @param endTime 印刷计划创建时间结束
     * @param pageNumber 分页页数
     * @param pageSize 分页容量
     * @return 分页查询结果
     */
    IPage<PrintPlanResult> printPlanPage(Long schoolId, String name, PrintPlanStatusEnum status, Long startTime, Long endTime, int pageNumber, int pageSize);

}
